#ifndef INCLUDE_LEARN_ATOMEXTERNALPORT____LEARN____SILENT_HPP_
#define INCLUDE_LEARN_ATOMEXTERNALPORT____LEARN____SILENT_HPP_

#include <AtomExternalPort.hpp>

#include <learn/PT__learn__silent.hpp>

class AtomExternalPort__learn__silent : public AtomExternalPort {
public:
    AtomExternalPort__learn__silent(const string &name, const EventConsumptionPolicy &policy);
    virtual ~AtomExternalPort__learn__silent();

    virtual void initialize() { }
    virtual bool hasEvent() const { return false; }
    virtual void popEvent() { }
    virtual void purgeEvents() { }


protected:

private:
};

#endif // INCLUDE_LEARN_ATOMEXTERNALPORT____LEARN____SILENT_HPP_
